package com.jz.dmp.modules.controller.DataIntegration.bean;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @ClassName: TaskListPageDto
 * @Description: 离线同步任务列表返回参数
 * @Author ：Bellamy
 * @Date 2020/12/21
 * @Version 1.0
 */
@ApiModel(value = "离线同步--任务列表返回参数对象", description = "任务列表返回参数对象")
public class TaskListPageDto {

    /*
     * taskId
     * */
    @ApiModelProperty(value = "任务taskId")
    String taskId;

    /*
     * treeId
     * */
    @ApiModelProperty(value = "treeId")
    String treeId;

    /*
     * 任务树名称
     * */
    @ApiModelProperty(value = "任务树名称")
    String treeName;

    /*
     * 同步时间
     * */
    @ApiModelProperty(value = "同步时间")
    String syncTime;

    /*
     * 同步状态
     * */
    @ApiModelProperty(value = "同步状态")
    String syncResult;
    /*
     *校验状态
     * */
    @ApiModelProperty(value = "校验状态")
    String chkResult;
    /*
     * 校验时间
     * */
    @ApiModelProperty(value = "校验时间")
    String chkTime;
    /*
     * 创建时间
     * */
    @ApiModelProperty(value = "创建时间")
    String createTime;
    /*
     * 更改时间
     * */
    @ApiModelProperty(value = "更改时间")
    String updateTime;

    /*
     * 源数据库名称
     * */
    @ApiModelProperty(value = "源数据库名称")
    String sourceDbName;

    /*
     * 源数据库表名称
     * */
    @ApiModelProperty(value = "源数据表名称")
    String sourceTableName;

    /*
     * 目标数据库名称
     * */
    @ApiModelProperty(value = "目标数据库名称")
    String targetDbName;

    /*
     * 目标数据库表名称
     * */
    @ApiModelProperty(value = "目标数据表名称")
    String targetTableName;

    /*
     * 目标数据库类型
     * */
    @ApiModelProperty(value = "目标数据库类型")
    String targetDbType;

    public String getSyncTime() {
        return syncTime;
    }

    public void setSyncTime(String syncTime) {
        this.syncTime = syncTime;
    }

    public String getSyncResult() {
        return syncResult;
    }

    public void setSyncResult(String syncResult) {
        this.syncResult = syncResult;
    }

    public String getChkResult() {
        return chkResult;
    }

    public void setChkResult(String chkResult) {
        this.chkResult = chkResult;
    }

    public String getChkTime() {
        return chkTime;
    }

    public void setChkTime(String chkTime) {
        this.chkTime = chkTime;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public String getTreeId() {
        return treeId;
    }

    public void setTreeId(String treeId) {
        this.treeId = treeId;
    }

    public String getSourceDbName() {
        return sourceDbName;
    }

    public void setSourceDbName(String sourceDbName) {
        this.sourceDbName = sourceDbName;
    }

    public String getTargetDbName() {
        return targetDbName;
    }

    public void setTargetDbName(String targetDbName) {
        this.targetDbName = targetDbName;
    }

    public String getTargetDbType() {
        return targetDbType;
    }

    public void setTargetDbType(String targetDbType) {
        this.targetDbType = targetDbType;
    }

    public String getSourceTableName() {
        return sourceTableName;
    }

    public void setSourceTableName(String sourceTableName) {
        this.sourceTableName = sourceTableName;
    }

    public String getTargetTableName() {
        return targetTableName;
    }

    public void setTargetTableName(String targetTableName) {
        this.targetTableName = targetTableName;
    }

    public String getTreeName() {
        return treeName;
    }

    public void setTreeName(String treeName) {
        this.treeName = treeName;
    }
}
